Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::LeastSquareMultipliers Class Reference

Class for calculator for the least-square equality constraint multipliers. More...

`#include <IpLeastSquareMults.hpp>`

Inheritance diagram for Ipopt::LeastSquareMultipliers:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject More...
virtual bool | CalculateMultipliers (Vector &y_c, Vector &y_d)
| This method computes the least-square estimates for y_c and y_d at the current point. More...
Constructors/Destructors
| LeastSquareMultipliers (AugSystemSolver &augSysSolver)
| Constructor. More...
virtual | ~LeastSquareMultipliers ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::EqMultiplierCalculator
| EqMultiplierCalculator ()
| Default Constructor. More...
virtual | ~EqMultiplierCalculator ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| LeastSquareMultipliers ()
| Default Constructor. More...
| LeastSquareMultipliers (const LeastSquareMultipliers &)
| Copy Constructor. More...
void | operator= (const LeastSquareMultipliers &)
| Overloaded Equals Operator. More...

## Private Attributes
SmartPtr< AugSystemSolver > | augsyssolver_
| Pointer for the augmented system solver to be used for solving the linear system. More...

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Class for calculator for the least-square equality constraint multipliers.

The Calculate method of this class computes the least-square estimate for the y_c and y_d multiplers, based on the current values of the gradient of the Lagrangian.

Definition at line 23 of file IpLeastSquareMults.hpp.

## Constructor & Destructor Documentation

Ipopt::LeastSquareMultipliers::LeastSquareMultipliers | ( | AugSystemSolver & | augSysSolver | ) |

Constructor.

It needs to be given the strategy object for solving the augmented system.

virtual Ipopt::LeastSquareMultipliers::~LeastSquareMultipliers | ( |  | ) |
| inline virtual

Default destructor.

Definition at line 32 of file IpLeastSquareMults.hpp.

Ipopt::LeastSquareMultipliers::LeastSquareMultipliers | ( |  | ) |
| private

Default Constructor.

Ipopt::LeastSquareMultipliers::LeastSquareMultipliers | ( | const LeastSquareMultipliers & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::LeastSquareMultipliers::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

overloaded from AlgorithmStrategyObject

Implements Ipopt::EqMultiplierCalculator.

virtual bool Ipopt::LeastSquareMultipliers::CalculateMultipliers | ( | Vector & | y_c,
|  | Vector & | y_d
| ) |  |
| virtual

This method computes the least-square estimates for y_c and y_d at the current point.

The return value is false, if the least square system could not be solved (the linear system is singular).

Implements Ipopt::EqMultiplierCalculator.

void Ipopt::LeastSquareMultipliers::operator= | ( | const LeastSquareMultipliers & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<AugSystemSolver> Ipopt::LeastSquareMultipliers::augsyssolver_
| private

Pointer for the augmented system solver to be used for solving the linear system.

Definition at line 68 of file IpLeastSquareMults.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpLeastSquareMults.hpp